CurveTreeItem Class Reference

CurveTreeItem tree widget item class. More...

`#include <PlotDialog.h>`

Inheritance diagram for CurveTreeItem:

## Public Types

enum | { PlotCurveTreeItem = 1002 }

## Public Member Functions

| CurveTreeItem (QwtPlotItem *curve, LayerItem *parent, const QString &s)
Graph * | graph ()
const QwtPlotItem * | plotItem ()
int | plotItemIndex ()
int | plotItemStyle ()
int | plotItemType ()
void | setActive (bool on)

## Protected Attributes

QwtPlotItem * | d_curve

## Detailed Description

CurveTreeItem tree widget item class.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
PlotCurveTreeItem |

## Constructor & Destructor Documentation

## CurveTreeItem()

CurveTreeItem::CurveTreeItem | ( | QwtPlotItem * | curve,
|  | LayerItem * | parent,
|  | const QString & | s
| ) |  |

## Member Function Documentation

## graph()

Graph* CurveTreeItem::graph | ( |  | ) |

inline

Referenced by PlotDialog::acceptParams(), PlotDialog::changePlotType(), PlotDialog::editCurve(), PlotDialog::editCurveRange(), PlotDialog::pickErrorBarsColor(), plotItemIndex(), PlotDialog::setActiveCurve(), and PlotDialog::showWorksheet().

## plotItem()

const QwtPlotItem* CurveTreeItem::plotItem | ( |  | ) |

inline

Referenced by PlotDialog::acceptParams(), PlotDialog::changePlotType(), PlotDialog::chooseSymbolImageFile(), PlotDialog::editCurve(), PlotDialog::pickErrorBarsColor(), PlotDialog::plotAssociationsDialogClosed(), PlotDialog::setActiveCurve(), PlotDialog::setAutomaticBinning(), PlotDialog::setEquidistantLevels(), and PlotDialog::setPlotType().

## plotItemIndex()

int CurveTreeItem::plotItemIndex | ( |  | ) |

References Graph::curvesList(), d_curve, and graph().

Referenced by PlotDialog::acceptParams(), PlotDialog::changePlotType(), PlotDialog::editCurve(), PlotDialog::editCurveRange(), PlotDialog::setActiveCurve(), and PlotDialog::showWorksheet().

## plotItemStyle()

int CurveTreeItem::plotItemStyle | ( |  | ) |

References Graph::ColorMap, and d_curve.

Referenced by PlotDialog::changePlotType(), PlotDialog::setActiveCurve(), PlotDialog::setPlotType(), and PlotDialog::updateTabWindow().

## plotItemType()

int CurveTreeItem::plotItemType | ( |  | ) |

References Graph::ColorMap, and d_curve.

Referenced by PlotDialog::updateTabWindow().

## setActive()

void CurveTreeItem::setActive | ( | bool | on | ) |

Referenced by PlotDialog::setActiveCurve().

## Member Data Documentation

## d_curve

QwtPlotItem* CurveTreeItem::d_curve

protected

Referenced by plotItemIndex(), plotItemStyle(), and plotItemType().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/PlotDialog.h
- qtiplot/src/plot2D/dialogs/PlotDialog.cpp